<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lab 5: Класс Ui_MainWindow</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lab 5
   </div>
   <div id="projectbrief">Проект со строками</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#pub-attribs">Открытые атрибуты</a> &#124;
<a href="class_ui___main_window-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс Ui_MainWindow</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Граф наследования:Ui_MainWindow:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_ui___main_window.png" usemap="#Ui_5FMainWindow_map" alt=""/>
  <map id="Ui_5FMainWindow_map" name="Ui_5FMainWindow_map">
<area href="class_ui_1_1_main_window.html" alt="Ui::MainWindow" shape="rect" coords="0,56,102,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:acf4a0872c4c77d8f43a2ec66ed849b58"><td class="memItemLeft" align="right" valign="top"><a id="acf4a0872c4c77d8f43a2ec66ed849b58"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setupUi</b> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:acf4a0872c4c77d8f43a2ec66ed849b58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097dd160c3534a204904cb374412c618"><td class="memItemLeft" align="right" valign="top"><a id="a097dd160c3534a204904cb374412c618"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>retranslateUi</b> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:a097dd160c3534a204904cb374412c618"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Открытые атрибуты</h2></td></tr>
<tr class="memitem:a30075506c2116c3ed4ff25e07ae75f81"><td class="memItemLeft" align="right" valign="top"><a id="a30075506c2116c3ed4ff25e07ae75f81"></a>
QWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>centralWidget</b></td></tr>
<tr class="separator:a30075506c2116c3ed4ff25e07ae75f81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3260b943854b841c986f47c4726ee7f9"><td class="memItemLeft" align="right" valign="top"><a id="a3260b943854b841c986f47c4726ee7f9"></a>
QTabWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>tabWidget</b></td></tr>
<tr class="separator:a3260b943854b841c986f47c4726ee7f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a107b3a0d373e6babd5159e9f6e9ed44d"><td class="memItemLeft" align="right" valign="top"><a id="a107b3a0d373e6babd5159e9f6e9ed44d"></a>
QWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>amount</b></td></tr>
<tr class="separator:a107b3a0d373e6babd5159e9f6e9ed44d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab157910123821e023141cab65d6e07f8"><td class="memItemLeft" align="right" valign="top"><a id="ab157910123821e023141cab65d6e07f8"></a>
QTextEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>amountInput</b></td></tr>
<tr class="separator:ab157910123821e023141cab65d6e07f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72cb377329afd2463edc12c184af13d4"><td class="memItemLeft" align="right" valign="top"><a id="a72cb377329afd2463edc12c184af13d4"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>amountButton</b></td></tr>
<tr class="separator:a72cb377329afd2463edc12c184af13d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9c89133780f28e6efa2ec17ceb9cff5"><td class="memItemLeft" align="right" valign="top"><a id="ad9c89133780f28e6efa2ec17ceb9cff5"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label</b></td></tr>
<tr class="separator:ad9c89133780f28e6efa2ec17ceb9cff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5bb4375ec0225e2dddc8596e0f4be92"><td class="memItemLeft" align="right" valign="top"><a id="ac5bb4375ec0225e2dddc8596e0f4be92"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>amountOutput</b></td></tr>
<tr class="separator:ac5bb4375ec0225e2dddc8596e0f4be92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a663f728e6244926a795c6e6892673b1d"><td class="memItemLeft" align="right" valign="top"><a id="a663f728e6244926a795c6e6892673b1d"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_6</b></td></tr>
<tr class="separator:a663f728e6244926a795c6e6892673b1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70c1838728836c20c84ee277e35b07bf"><td class="memItemLeft" align="right" valign="top"><a id="a70c1838728836c20c84ee277e35b07bf"></a>
QWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>palindrome</b></td></tr>
<tr class="separator:a70c1838728836c20c84ee277e35b07bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65429ae63e22e7d8d6e434e72c5861a9"><td class="memItemLeft" align="right" valign="top"><a id="a65429ae63e22e7d8d6e434e72c5861a9"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>palindromeButton</b></td></tr>
<tr class="separator:a65429ae63e22e7d8d6e434e72c5861a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e2516d755e4dd53fc905dabddf2738a"><td class="memItemLeft" align="right" valign="top"><a id="a2e2516d755e4dd53fc905dabddf2738a"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_2</b></td></tr>
<tr class="separator:a2e2516d755e4dd53fc905dabddf2738a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a067edaa7ef1e1a62eb45124591c6f2eb"><td class="memItemLeft" align="right" valign="top"><a id="a067edaa7ef1e1a62eb45124591c6f2eb"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>palindromeOutput</b></td></tr>
<tr class="separator:a067edaa7ef1e1a62eb45124591c6f2eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7cf47f8a6f74e502c4cc2728dd5206a"><td class="memItemLeft" align="right" valign="top"><a id="aa7cf47f8a6f74e502c4cc2728dd5206a"></a>
QTextEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>palindromeInput</b></td></tr>
<tr class="separator:aa7cf47f8a6f74e502c4cc2728dd5206a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13936e6f18b1c90402b3c7a3c92b6cdb"><td class="memItemLeft" align="right" valign="top"><a id="a13936e6f18b1c90402b3c7a3c92b6cdb"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_7</b></td></tr>
<tr class="separator:a13936e6f18b1c90402b3c7a3c92b6cdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c905fb41a9fbf7ba6ddde688b62f01e"><td class="memItemLeft" align="right" valign="top"><a id="a7c905fb41a9fbf7ba6ddde688b62f01e"></a>
QWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>encrypt</b></td></tr>
<tr class="separator:a7c905fb41a9fbf7ba6ddde688b62f01e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd9d56a14c681dd32d5ff0fa43000af7"><td class="memItemLeft" align="right" valign="top"><a id="afd9d56a14c681dd32d5ff0fa43000af7"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>encryptButton</b></td></tr>
<tr class="separator:afd9d56a14c681dd32d5ff0fa43000af7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff69b6e232e76db981430d9b52ab0b15"><td class="memItemLeft" align="right" valign="top"><a id="aff69b6e232e76db981430d9b52ab0b15"></a>
QTextEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>encryptInput</b></td></tr>
<tr class="separator:aff69b6e232e76db981430d9b52ab0b15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0376fd90247280e7c7957cc70628708c"><td class="memItemLeft" align="right" valign="top"><a id="a0376fd90247280e7c7957cc70628708c"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_3</b></td></tr>
<tr class="separator:a0376fd90247280e7c7957cc70628708c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78c7e10730b43c6700cd7216911ed76a"><td class="memItemLeft" align="right" valign="top"><a id="a78c7e10730b43c6700cd7216911ed76a"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_4</b></td></tr>
<tr class="separator:a78c7e10730b43c6700cd7216911ed76a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf4153543547091872e092e8ec798dc5"><td class="memItemLeft" align="right" valign="top"><a id="aaf4153543547091872e092e8ec798dc5"></a>
QTextBrowser *&#160;</td><td class="memItemRight" valign="bottom"><b>encryptOutput</b></td></tr>
<tr class="separator:aaf4153543547091872e092e8ec798dc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a584d8e63626ae4f9c6056ead1fd4711c"><td class="memItemLeft" align="right" valign="top"><a id="a584d8e63626ae4f9c6056ead1fd4711c"></a>
QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>encruptInputLine</b></td></tr>
<tr class="separator:a584d8e63626ae4f9c6056ead1fd4711c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6bab8fb8903b8f41afea1218ee52695"><td class="memItemLeft" align="right" valign="top"><a id="ad6bab8fb8903b8f41afea1218ee52695"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_5</b></td></tr>
<tr class="separator:ad6bab8fb8903b8f41afea1218ee52695"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4132bda81e3af97cc4b3d9b3ae459e6e"><td class="memItemLeft" align="right" valign="top"><a id="a4132bda81e3af97cc4b3d9b3ae459e6e"></a>
QWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>rounding</b></td></tr>
<tr class="separator:a4132bda81e3af97cc4b3d9b3ae459e6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af72dd50870837af0c2b33811256fac7d"><td class="memItemLeft" align="right" valign="top"><a id="af72dd50870837af0c2b33811256fac7d"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>roundingButton</b></td></tr>
<tr class="separator:af72dd50870837af0c2b33811256fac7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1369e5ca4daf398f32c9fbf36ebd747"><td class="memItemLeft" align="right" valign="top"><a id="aa1369e5ca4daf398f32c9fbf36ebd747"></a>
QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>roundingInputLine</b></td></tr>
<tr class="separator:aa1369e5ca4daf398f32c9fbf36ebd747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af183bfbfb9f38bbdd60caf92b15e23dc"><td class="memItemLeft" align="right" valign="top"><a id="af183bfbfb9f38bbdd60caf92b15e23dc"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_8</b></td></tr>
<tr class="separator:af183bfbfb9f38bbdd60caf92b15e23dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fad23116bacf4a99a567eefbf023fa4"><td class="memItemLeft" align="right" valign="top"><a id="a4fad23116bacf4a99a567eefbf023fa4"></a>
QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>roundingInput</b></td></tr>
<tr class="separator:a4fad23116bacf4a99a567eefbf023fa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e90c7e9ad77386881e0b264ddb9dd22"><td class="memItemLeft" align="right" valign="top"><a id="a0e90c7e9ad77386881e0b264ddb9dd22"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_9</b></td></tr>
<tr class="separator:a0e90c7e9ad77386881e0b264ddb9dd22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af074c8cfac50ebb187d56633f1a5bffd"><td class="memItemLeft" align="right" valign="top"><a id="af074c8cfac50ebb187d56633f1a5bffd"></a>
QTextBrowser *&#160;</td><td class="memItemRight" valign="bottom"><b>roundingOutput</b></td></tr>
<tr class="separator:af074c8cfac50ebb187d56633f1a5bffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dc4dba26b83e0c94aa566e1c564420b"><td class="memItemLeft" align="right" valign="top"><a id="a9dc4dba26b83e0c94aa566e1c564420b"></a>
QLabel *&#160;</td><td class="memItemRight" valign="bottom"><b>label_10</b></td></tr>
<tr class="separator:a9dc4dba26b83e0c94aa566e1c564420b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2be1c24ec9adfca18e1dcc951931457f"><td class="memItemLeft" align="right" valign="top"><a id="a2be1c24ec9adfca18e1dcc951931457f"></a>
QMenuBar *&#160;</td><td class="memItemRight" valign="bottom"><b>menuBar</b></td></tr>
<tr class="separator:a2be1c24ec9adfca18e1dcc951931457f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5172877001c8c7b4e0f6de50421867d1"><td class="memItemLeft" align="right" valign="top"><a id="a5172877001c8c7b4e0f6de50421867d1"></a>
QToolBar *&#160;</td><td class="memItemRight" valign="bottom"><b>mainToolBar</b></td></tr>
<tr class="separator:a5172877001c8c7b4e0f6de50421867d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50fa481337604bcc8bf68de18ab16ecd"><td class="memItemLeft" align="right" valign="top"><a id="a50fa481337604bcc8bf68de18ab16ecd"></a>
QStatusBar *&#160;</td><td class="memItemRight" valign="bottom"><b>statusBar</b></td></tr>
<tr class="separator:a50fa481337604bcc8bf68de18ab16ecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>C:/VVID/Lab3/<a class="el" href="ui__mainwindow_8h_source.html">ui_mainwindow.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
